regina::LayeredTorusBundle Class Reference
Standard Triangulations and Subcomplexes

Describes a layered torus bundle. More...

`#include <subcomplex/layeredtorusbundle.h>`

Inheritance diagram for regina::LayeredTorusBundle:

## Public Member Functions

virtual | ~LayeredTorusBundle ()
| Destroys this layered torus bundle and all of its internal components. More...
const TxICore & | core () const
| Returns the `T x I` triangulation at the core of this layered surface bundle. More...
const Isomorphism< 3 > * | coreIso () const
| Returns the isomorphism describing how the core `T x I` appears as a subcomplex of this layered surface bundle. More...
const Matrix2 & | layeringReln () const
| Returns a 2-by-2 matrix describing how the layering of tetrahedra relates curves on the two torus boundaries of the core `T x I`. More...
Manifold * | manifold () const
| Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented. More...
AbelianGroup * | homology () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
std::ostream & | writeName (std::ostream &out) const
| Writes the name of this triangulation as a human-readable string to the given output stream. More...
std::ostream & | writeTeXName (std::ostream &out) const
| Writes the name of this triangulation in TeX format to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| Writes a detailed text representation of this object to the given output stream. More...
std::string | name () const
| Returns the name of this specific triangulation as a human-readable string. More...
std::string | TeXName () const
| Returns the name of this specific triangulation in TeX format. More...
AbelianGroup * | homologyH1 () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
virtual void | writeTextShort (std::ostream &out) const
| Writes a short text representation of this object to the given output stream. More...
std::string | str () const
| Returns a short text representation of this object. More...
std::string | utf8 () const
| Returns a short text representation of this object using unicode characters. More...
std::string | detail () const
| Returns a detailed text representation of this object. More...

## Static Public Member Functions

static LayeredTorusBundle * | isLayeredTorusBundle (Triangulation< 3 > *tri)
| Determines if the given triangulation is a layered surface bundle. More...
static StandardTriangulation * | isStandardTriangulation (Component< 3 > *component)
| Determines whether the given component represents one of the standard triangulations understood by Regina. More...
static StandardTriangulation * | isStandardTriangulation (Triangulation< 3 > *tri)
| Determines whether the given triangulation represents one of the standard triangulations understood by Regina. More...

## Detailed Description

Describes a layered torus bundle.

This is a triangulation of a torus bundle over the circle formed as follows.

We begin with a thin I-bundle over the torus, i.e,. a triangulation of the product `T x I` that is only one tetrahedron thick. This is referred to as the core, and is described by an object of type TxICore.

We then identify the upper and lower torus boundaries of this core according to some homeomorphism of the torus. This may be impossible due to incompatible boundary edges, and so we allow a layering of tetrahedra over one of the boundari tori in order to adjust the boundary edges accordingly. Layerings are described in more detail in the Layering class.

Given the parameters of the core `T x I` and the specific layering, the monodromy for this torus bundle over the circle can be calculated. The manifold() routine returns details of the corresponding 3-manifold.

All optional StandardTriangulation routines are implemented for this class.

## Member Function Documentation

## detail()

std::string regina::Output< StandardTriangulation , false >::detail | ( |  | ) | const

inherited

Returns a detailed text representation of this object.

This text may span many lines, and should provide the user with all the information they could want. It should be human-readable, should not contain extremely long lines (which cause problems for users reading the output in a terminal), and should end with a final newline. There are no restrictions on the underlying character set.

Returns
  a detailed text representation of this object.

## str()

std::string regina::Output< StandardTriangulation , false >::str | ( |  | ) | const

inherited

Returns a short text representation of this object.

This text should be human-readable, should fit on a single line, and should not end with a newline. Where possible, it should use plain ASCII characters.

Python:\n In addition to str(), this is also used as the
  Python "stringification" function `__str__()`.

Returns
  a short text representation of this object.

## utf8()

std::string regina::Output< StandardTriangulation , false >::utf8 | ( |  | ) | const

inherited

Returns a short text representation of this object using unicode characters.

Like str(), this text should be human-readable, should fit on a single line, and should not end with a newline. In addition, it may use unicode characters to make the output more pleasant to read. This string will be encoded in UTF-8.

Returns
  a short text representation of this object.

The documentation for this class was generated from the following file:

- subcomplex/layeredtorusbundle.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).